package electrosphere.entity.state.collidable;

import org.joml.Vector3d;
import org.joml.Vector3f;

/**
 *
 * @author amaterasu
 */
public class Impulse {
    
    Vector3d direction;
    double force;
    String type;
    
    public Impulse(Vector3d dir, double force, String type){
        this.force = force;
        this.direction = dir;
        this.type = type;
    }

    public Vector3d getDirection() {
        return direction;
    }

    public double getForce() {
        return force;
    }

    public String getType() {
        return type;
    }
    
    
}
